IRremoteESP8266: KelvinatorProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
KelvinatorProtocol Union Reference

Native representation of a Kelvinator A/C message. More...

`#include <ir_Kelvinator.h>`

## Public Attributes

uint8_t | raw [kKelvinatorStateLength]
| The state in IR code form. More...
struct {
uint8_t Mode:3
uint8_t Power:1
uint8_t BasicFan:2
uint8_t VentSwing:1
uint8_t __pad0__:1
uint8_t Temp:4
uint8_t __pad1__:4
uint8_t __pad2__:4
uint8_t Turbo:1
uint8_t Light:1
uint8_t IonFilter:1
uint8_t XFan:1
uint8_t __pad3__:4
uint8_t __pad4__:2
uint8_t __pad5__:2
uint8_t SwingV:1
uint8_t __pad6__:3
uint8_t SwingH:1
uint8_t __pad7__:3
uint8_t pad0 [2]
uint8_t __pad8__:4
uint8_t Sum1:4
uint8_t pad1 [3]
uint8_t __pad9__:4
uint8_t __pad10__:2
uint8_t __pad11__:2
uint8_t __pad12__:1
uint8_t __pad13__:6
uint8_t Quiet:1
uint8_t __pad14__:8
uint8_t __pad15__:4
uint8_t Fan:3
uint8_t __pad16__:4
uint8_t Sum2:4
}; |

## Detailed Description

Native representation of a Kelvinator A/C message.

## Member Data Documentation

## ◆ @49

struct { ... }

## ◆ __pad0__

uint8_t KelvinatorProtocol::__pad0__

## ◆ __pad10__

uint8_t KelvinatorProtocol::__pad10__

## ◆ __pad11__

uint8_t KelvinatorProtocol::__pad11__

## ◆ __pad12__

uint8_t KelvinatorProtocol::__pad12__

## ◆ __pad13__

uint8_t KelvinatorProtocol::__pad13__

## ◆ __pad14__

uint8_t KelvinatorProtocol::__pad14__

## ◆ __pad15__

uint8_t KelvinatorProtocol::__pad15__

## ◆ __pad16__

uint8_t KelvinatorProtocol::__pad16__

## ◆ __pad1__

uint8_t KelvinatorProtocol::__pad1__

## ◆ __pad2__

uint8_t KelvinatorProtocol::__pad2__

## ◆ __pad3__

uint8_t KelvinatorProtocol::__pad3__

## ◆ __pad4__

uint8_t KelvinatorProtocol::__pad4__

## ◆ __pad5__

uint8_t KelvinatorProtocol::__pad5__

## ◆ __pad6__

uint8_t KelvinatorProtocol::__pad6__

## ◆ __pad7__

uint8_t KelvinatorProtocol::__pad7__

## ◆ __pad8__

uint8_t KelvinatorProtocol::__pad8__

## ◆ __pad9__

uint8_t KelvinatorProtocol::__pad9__

## ◆ BasicFan

uint8_t KelvinatorProtocol::BasicFan

## ◆ Fan

uint8_t KelvinatorProtocol::Fan

## ◆ IonFilter

uint8_t KelvinatorProtocol::IonFilter

## ◆ Light

uint8_t KelvinatorProtocol::Light

## ◆ Mode

uint8_t KelvinatorProtocol::Mode

## ◆ pad0

uint8_t KelvinatorProtocol::pad0[2]

## ◆ pad1

uint8_t KelvinatorProtocol::pad1[3]

## ◆ Power

uint8_t KelvinatorProtocol::Power

## ◆ Quiet

uint8_t KelvinatorProtocol::Quiet

## ◆ raw

uint8_t KelvinatorProtocol::raw[kKelvinatorStateLength]

The state in IR code form.

## ◆ Sum1

uint8_t KelvinatorProtocol::Sum1

## ◆ Sum2

uint8_t KelvinatorProtocol::Sum2

## ◆ SwingH

uint8_t KelvinatorProtocol::SwingH

## ◆ SwingV

uint8_t KelvinatorProtocol::SwingV

## ◆ Temp

uint8_t KelvinatorProtocol::Temp

## ◆ Turbo

uint8_t KelvinatorProtocol::Turbo

## ◆ VentSwing

uint8_t KelvinatorProtocol::VentSwing

## ◆ XFan

uint8_t KelvinatorProtocol::XFan

The documentation for this union was generated from the following file:

- src/ir_Kelvinator.h